//#include "libscl.h"

#include "scltypes.h"
#include "sclerror.h"

using namespace std;
using namespace scl;

void dummy(char c)
{ 
  switch (c) {
  case 'd':
    scl::warn(string("Warning: What ")+string("is to be done ")+string("now?"));
    scl::error(string("Error: What ")+string("is to be done ")+string("now?"));
    break;
  case 'a':
    scl::set_lib_error_handler(&scl::alternate_lib_error_handler);
    scl::error("Whatever happened?\n");
    break;
  case 'w':
    scl::set_lib_warn_handler(&scl::alternate_lib_warn_handler);
    scl::warn("Whatever happened?\n");
    break;
  default:
     scl::error(string("Admissible arguments are d for default, a for ")
     +string("alternate, \nand w for alternate warning"));
     break;
  }
}

